Bug 969344 - SELinux is preventing /usr/bin/boinc_client from 'name_connect' accesses on the tcp_socket . [NEEDINFO]
SELinux is preventing /usr/bin/boinc_client from 'name_connect' accesses on t...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:d68e7b5a9755b6f00f86dcf0af0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 05:24 EDT by Mattia Vio
Modified: 2013-10-25 09:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 09:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (theus84)


Attachments (Terms of Use)

  None (edit)
Description Mattia Vio 2013-05-31 05:24:56 EDT
Description of problem:
starting boinc client
SELinux is preventing /usr/bin/boinc_client from 'name_connect' accesses on the tcp_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If si crede che boinc_client dovrebbe avere possibilitaΜ€ di accesso name_connect sui  tcp_socket in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep boinc_client /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:object_r:xserver_port_t:s0
Target Objects                 [ tcp_socket ]
Source                        boinc_client
Source Path                   /usr/bin/boinc_client
Port                          6000
Host                          (removed)
Source RPM Packages           boinc-client-7.0.65-1.git79b00ef.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-94.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.11-200.fc18.x86_64 #1 SMP Wed
                              May 1 19:44:27 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-05-30 10:10:26 CEST
Last Seen                     2013-05-31 10:51:24 CEST
Local ID                      13aa9bd6-4f49-4ed0-a3d2-35973f4c7079

Raw Audit Messages
type=AVC msg=audit(1369990284.595:87184): avc:  denied  { name_connect } for  pid=16262 comm="boinc_client" dest=6000 scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:object_r:xserver_port_t:s0 tclass=tcp_socket


type=SYSCALL msg=audit(1369990284.595:87184): arch=x86_64 syscall=connect success=no exit=EACCES a0=5 a1=19b3d40 a2=10 a3=7fff7982bb34 items=0 ppid=16261 pid=16262 auid=4294967295 uid=990 gid=988 euid=990 suid=990 fsuid=990 egid=988 sgid=988 fsgid=988 ses=4294967295 tty=(none) comm=boinc_client exe=/usr/bin/boinc_client subj=system_u:system_r:boinc_t:s0 key=(null)

Hash: boinc_client,boinc_t,xserver_port_t,tcp_socket,name_connect

audit2allow

#============= boinc_t ==============
allow boinc_t xserver_port_t:tcp_socket name_connect;

audit2allow -R
require {
	type boinc_t;
}

#============= boinc_t ==============
corenet_tcp_connect_xserver_port(boinc_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.8.11-200.fc18.x86_64
type:           libreport

Potential duplicate: bug 678661
Comment 1 Miroslav Grepl 2013-06-04 08:00:41 EDT
Does boinc work?
Comment 2 Mattia Vio 2013-06-04 08:08:32 EDT
no
Comment 3 Miroslav Grepl 2013-06-04 11:18:26 EDT
Does it work with

# grep boinc_client /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Note You need to log in before you can comment on or make changes to this bug.